summaryrefslogtreecommitdiffstats
path: root/templates/image.xen.postinst.in
diff options
context:
space:
mode:
Diffstat (limited to 'templates/image.xen.postinst.in')
-rw-r--r--templates/image.xen.postinst.in28
1 files changed, 28 insertions, 0 deletions
diff --git a/templates/image.xen.postinst.in b/templates/image.xen.postinst.in
new file mode 100644
index 0000000..5b6e8b1
--- /dev/null
+++ b/templates/image.xen.postinst.in
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -e
+
+case "$1" in
+ configure)
+ if [ "$2" ]; then
+ update-initramfs -u -k @upstreamversion@@abiname@@localversion@
+ else
+ update-initramfs -c -t -k @upstreamversion@@abiname@@localversion@
+ command -v update-grub > /dev/null && update-grub
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
+